Bug 694519 - after upgrade to bluez-4.87, bluetooth not active
after upgrade to bluez-4.87, bluetooth not active
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
: 695588 698186 698556 699443 703220 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-07 10:40 EDT by Brian Millett
Modified: 2011-07-13 04:44 EDT (History)
21 users (show)

See Also:
Fixed In Version: bluez-4.87-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 23:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Millett 2011-04-07 10:40:18 EDT
Description of problem:

Bluetooth server not started

Version-Release number of selected component (if applicable):

bluez-4.87

How reproducible:

always

Steps to Reproduce:
1.
2.boot
3.
  
Actual results:
[bpm]$ sudo systemctl status bluetooth.target
bluetooth.target - Bluetooth
	  Loaded: loaded (/lib/systemd/system/bluetooth.target)
	  Active: active since Thu, 07 Apr 2011 09:15:40 -0500; 20min ago

BUT

[bpm]$ sudo systemctl status bluetooth.service
bluetooth.service - Bluetooth Manager
	  Loaded: loaded (/lib/systemd/system/bluetooth.service)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/bluetooth.service

Running:

[bpm]$ sudo /usr/sbin/bluetoothd -n
bluetoothd[4837]: Bluetooth deamon 4.87
bluetoothd[4837]: Starting SDP server
bluetoothd[4837]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
bluetoothd[4837]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
bluetoothd[4837]: HCI dev 0 registered
bluetoothd[4837]: Listening for HCI events on hci0
bluetoothd[4837]: HCI dev 0 up
bluetoothd[4837]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
bluetoothd[4837]: Adapter /org/bluez/4837/hci0 has been enabled



Expected results:

should work as before the upgrade.

Additional info:

after running 

systemctl start bluetooth.service

after gnome is up starts the service.
Comment 1 Brian Millett 2011-04-07 11:30:07 EDT
This should probably be filed against systemd, but I can't see how to change that.
Comment 2 Michal Schmidt 2011-04-09 18:54:29 EDT
To be precise, you mean bluez-4.87-3.fc15?
Does "systemctl enable bluetooth.service" fix it?
Comment 3 Brian Millett 2011-04-13 08:44:53 EDT
yes it did.  It was working, but I guess a script on update was not correct?
Comment 4 Lennart Poettering 2011-04-13 14:12:44 EDT
Please explain exactly what you did. From which RPM package version to which RPM package version did you upgrade? Which version are you currently running?
Comment 5 Brian Millett 2011-04-13 20:40:33 EDT
It looks like the previous version was
Mar 14 21:06:04 Updated: bluez-4.87-2.fc15.x86_64

Ok, it was after the following was updated:

Apr 07 08:54:33 Updated: bluez-libs-4.87-3.fc15.x86_64
Apr 07 08:54:43 Updated: bluez-cups-4.87-3.fc15.x86_64
Apr 07 08:56:19 Updated: bluez-4.87-3.fc15.x86_64

After rebooting, bluetooth.service was not started & I had the messages I described above.  It was after running

systemctl enable bluetooth.service

that it started correctly.

Currently


[bpm]$ rpm -qa | grep bluez
bluez-libs-4.87-3.fc15.x86_64
bluez-cups-4.87-3.fc15.x86_64
bluez-4.87-3.fc15.x86_64
Comment 6 Vít Ondruch 2011-04-18 07:25:16 EDT
I can confirm that Bluetooth was previously working fine, but with the version mentioned above, the bluetooth.service is disabled for some reason.
Comment 7 Juan Saavedra 2011-04-24 20:25:48 EDT
Same problem here.
Running: 

systemctl start bluetooth.service

Fixes the problem.
Comment 8 Bastien Nocera 2011-05-06 13:23:04 EDT
*** Bug 692017 has been marked as a duplicate of this bug. ***
Comment 9 Bastien Nocera 2011-05-06 13:24:21 EDT
*** Bug 698186 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Update System 2011-05-06 13:29:02 EDT
bluez-4.87-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bluez-4.87-5.fc15
Comment 11 Fedora Update System 2011-05-07 11:04:45 EDT
Package bluez-4.87-5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluez-4.87-5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/bluez-4.87-5.fc15
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-05-09 23:31:01 EDT
bluez-4.87-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Bastien Nocera 2011-05-10 05:14:34 EDT
*** Bug 703220 has been marked as a duplicate of this bug. ***
Comment 14 Bastien Nocera 2011-05-18 17:56:24 EDT
*** Bug 695588 has been marked as a duplicate of this bug. ***
Comment 15 Bastien Nocera 2011-05-18 18:05:58 EDT
*** Bug 699443 has been marked as a duplicate of this bug. ***
Comment 16 Bastien Nocera 2011-05-18 18:06:01 EDT
*** Bug 698556 has been marked as a duplicate of this bug. ***
Comment 17 Dave Vasilevsky 2011-05-26 03:42:50 EDT
I encountered this problem on a fresh F15 install, not an upgrade. The problem persisted after updating to bluez-4.87-5.fc15. The workaround "systemctl start bluetooth.service" fixed things.

Is the intention that users will have to run the workaround command? Or was the update to 4.87-5 supposed to fix it without the workaround?
Comment 18 Steve 2011-05-26 22:01:15 EDT
I can also confirm this on a fresh F15 install.  I had to run: 

systemctl enable bluetooth.service
systemctl start bluetooth.service
Comment 19 dfavro 2011-05-30 09:57:01 EDT
Had this on a fresh F15 install, too:

# systemctl status bluetooth.service
bluetooth.service - Bluetooth Manager
	  Loaded: loaded (/lib/systemd/system/bluetooth.service)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/bluetooth.service
# systemctl enable bluetooth.service
ln -s '/lib/systemd/system/bluetooth.service' '/etc/systemd/system/dbus-org.bluez.service'
ln -s '/lib/systemd/system/bluetooth.service' '/etc/systemd/system/bluetooth.target.wants/bluetooth.service'
# systemctl start bluetooth.service
Comment 20 FC_rules 2011-06-03 12:53:20 EDT
I have problems with bluetooth too, but on FC14. The service keeps stopping e.g. after suspend and I have to enable and also start it. Sometimes even after it was enabled and started I still cannot connect my wireless device.
Comment 21 Christian Kujau 2011-06-16 07:05:37 EDT
Still there on F15 (upgrade from F15 alpha). Right after boot and first login to Gnome3, Bluetooth is unusable:

# systemctl status bluetooth.service dbus-org.bluez.service
bluetooth.service - Bluetooth Manager
	  Loaded: loaded (/lib/systemd/system/bluetooth.service)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/bluetooth.service

dbus-org.bluez.service
	  Loaded: error
	  Active: inactive (dead)

# systemctl restart bluetooth.service dbus-org.bluez.service
Failed to issue method call: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.

# systemctl status bluetooth.service dbus-org.bluez.service
bluetooth.service - Bluetooth Manager
	  Loaded: loaded (/lib/systemd/system/bluetooth.service)
	  Active: active (running) since Thu, 16 Jun 2011 03:48:16 -0700; 38s ago
	Main PID: 3309 (bluetoothd)
	  CGroup: name=systemd:/system/bluetooth.service
		  └ 3309 /usr/sbin/bluetoothd -n

dbus-org.bluez.service
	  Loaded: error
	  Active: inactive (dead)


# bluetoothd -dn
bluetoothd[3868]: Bluetooth deamon 4.87
bluetoothd[3868]: src/main.c:parse_config() parsing main.conf
bluetoothd[3868]: src/main.c:parse_config() discovto=0
bluetoothd[3868]: src/main.c:parse_config() pairto=0
bluetoothd[3868]: src/main.c:parse_config() pageto=8192
bluetoothd[3868]: src/main.c:parse_config() name=%h-%d
bluetoothd[3868]: src/main.c:parse_config() class=0x000100
bluetoothd[3868]: src/main.c:parse_config() discov_interval=0
bluetoothd[3868]: src/main.c:parse_config() Key file does not have key 'DeviceID'
bluetoothd[3868]: Unable to get on D-Bus


FWIW, this same BT chip is working under MacOS X.

http://www.smolts.org/client/show/pub_6d9135bd-4735-430d-82f1-94d32e355fba
Comment 22 Paul Lipps 2011-06-18 18:37:28 EDT
On a fresh install of Fedora 15 32-bit on a netbook, and Fedora 15 64-bit on a desktop with current updates applied up to 6/18/11, I had to manually enable and start the bluetooth service. It was not starting on it's own.

systemctl enable bluetooth.service
systemctl start bluetooth.service
Comment 23 Fedora Update System 2011-06-20 07:43:55 EDT
bluez-4.87-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/bluez-4.87-6.fc15
Comment 24 Peque 2011-06-22 18:23:35 EDT
On a fresh and up-to-date (23 june 2011) F15-x86_64 install, bluez-4.87-6.fc15 didn't fix the problem.
Comment 25 Peque 2011-06-22 18:30:29 EDT
Package bluez-4.88-1.fc16.x86_64 from rawhide fixes the problem though.
Comment 26 Sebastian Krämer 2011-07-02 17:48:54 EDT
Hard to say if I shared exactly the same problems as you guys but I could hardly get bluetooth audio to work. I just upgraded to the rawhide package and things seem much better now, A2DP working.. Thanks for the hint, Peque.
Comment 27 Peque 2011-07-11 07:23:40 EDT
Any news? :-)
Comment 28 Fedora Update System 2011-07-12 01:11:54 EDT
bluez-4.87-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 29 Peque 2011-07-13 04:44:49 EDT
Package bluez-4.87-7.fc15 fixed the problem.

Thanks! :-D

Note You need to log in before you can comment on or make changes to this bug.